--[[
	---------------------------------------------------------
    StickStat simply shows a position of one stick on main screen
	
	Localisation-file has to be as /Apps/Lang/RCT-Stk.jsn
	---------------------------------------------------------
	Released under MIT-license by Tero @ RC-Thoughts.com 2017
	---------------------------------------------------------
--]]
--------------------------------------------------------------------------------
-- Locals for application
local stSw, stSwVal
----------------------------------------------------------------------
-- Draw the telemetry windows
local function StickSwitch(width, height)
		if(height > 25) then
			lcd.drawText((150 - lcd.getTextWidth(FONT_MAXI,string.format("%s%%",stSwVal)))/2,22,string.format("%s%%",stSwVal),FONT_MAXI)
			else
			lcd.drawText(147 - lcd.getTextWidth(FONT_BOLD,string.format("%s%%",stSwVal)),2,string.format("%s%%",stSwVal),FONT_BOLD)
		end
end
--------------------------------------------------------------------------------
-- Function for translation file-reading
local function readFile(path) 
	local f = io.open(path,"r")
	local lines={}
	if(f) then
		while 1 do 
			local buf=io.read(f,512)
			if(buf ~= "")then 
				lines[#lines+1] = buf
				else
				break   
			end   
		end 
		io.close(f)
		return table.concat(lines,"") 
	end
end 
--------------------------------------------------------------------------------
-- Read translations
local function setLanguage()	
	local lng=system.getLocale();
	local file = readFile("Apps/Lang/RCT-Stk.jsn")
	local obj = json.decode(file)  
	if(obj) then
		trans10 = obj[lng] or obj[obj.default]
	end
end
--------------------------------------------------------------------------------
local function stSwChanged(value)
	stSw = value
	system.pSave("stSw",value)
end
--------------------------------------------------
-- Draw the main form (Application inteface)
local function initForm()
	form.addRow(1)
	form.addLabel({label="---   RC-Thoughts Jeti Tools    ---",font=FONT_BIG})
	
	form.addRow(2)
	form.addLabel({label=trans10.stk,width=220})
	form.addInputbox(stSw,true,stSwChanged)
	
	form.addRow(1)
	form.addLabel({label=trans10.stkHelp,width=300,font=FONT_MINI})
	
	form.addRow(1)
	form.addLabel({label="Powered by RC-Thoughts.com - v."..stVersion.." ",font=FONT_MINI, alignRight=true})
end
--------------------------------------------------------------------------------
local function loop()
	if(stSw) then
		stSwVal = system.getInputsVal(stSw)
		stSwVal = string.format("%.1f", (stSwVal*100))
	end
end
--------------------------------------------------------------------------------
local function init()
	stSw = system.pLoad("stSw")
	system.registerTelemetry(1,"StickSwitch",0,StickSwitch)
	system.registerForm(1,MENU_APPS, trans10.appName,initForm,nil)
end
--------------------------------------------------------------------------------
stVersion = "0.1"
setLanguage()
return {init=init,loop=loop,author="RC-Thoughts",version=stVersion,name=trans10.appName}